Subject: Re: bug#24545: emacs suddenly dying

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Sep 2016 05:41:41 +0300

> From: Vitomir Kovanovic <[email-masked]>
> Date: Sun, 25 Sep 2016 21:52:25 +0100
> 
> Since installing 25.1 version emacs died a couple of times, each time without an apparent reason. I start
> emacs as a daemon, and connect with the emacs client.
> 
> At the time of this last incident, I had an ESS session running with several R threads running some analysis. 
> 
> Here is what is being stored in system journal. (I'm using i3 window manager on Arch Linux 64bit, fully
> updated). This NEVER happened before so it is definitely something related to the latest version.
> 
> If you need some additional info, let me know.

Thank you for your report.

Please attach GDB to the Emacs daemon as soon as you start it, then
run your sessions as usual, and when Emacs crashes, produce a
backtrace and post it here.  That will provide some initial
information about the crash, and we can take it from there.

Also, please post the details of your build as collected by
"M-x report-emacs-bug RET".